Index: code/cgame/cg_local.h
===================================================================
--- code/cgame/cg_local.h	(revision 1796)
+++ code/cgame/cg_local.h	(working copy)
@@ -1169,6 +1169,7 @@
 extern	vmCvar_t		cg_oldRocket;
 extern	vmCvar_t		cg_oldPlasma;
 extern	vmCvar_t		cg_trueLightning;
+extern	vmCvar_t		cg_yawOffset;
 #ifdef MISSIONPACK
 extern	vmCvar_t		cg_redTeamName;
 extern	vmCvar_t		cg_blueTeamName;
Index: code/cgame/cg_view.c
===================================================================
--- code/cgame/cg_view.c	(revision 1796)
+++ code/cgame/cg_view.c	(working copy)
@@ -612,6 +612,7 @@
 */
 static int CG_CalcViewValues( void ) {
 	playerState_t	*ps;
+	vec3_t  tmpvec;
 
 	memset( &cg.refdef, 0, sizeof( cg.refdef ) );
 
@@ -684,6 +685,11 @@
 
 	// position eye reletive to origin
 	AnglesToAxis( cg.refdefViewAngles, cg.refdef.viewaxis );
+	
+	VectorCopy(cg.refdef.viewaxis[0], tmpvec);
+	RotatePointAroundVector(cg.refdef.viewaxis[0], cg.refdef.viewaxis[2], tmpvec, cg_yawOffset.value);
+	VectorCopy(cg.refdef.viewaxis[1], tmpvec);
+	RotatePointAroundVector(cg.refdef.viewaxis[1], cg.refdef.viewaxis[2], tmpvec, cg_yawOffset.value);
 
 	if ( cg.hyperspace ) {
 		cg.refdef.rdflags |= RDF_NOWORLDMODEL | RDF_HYPERSPACE;
Index: code/cgame/cg_main.c
===================================================================
--- code/cgame/cg_main.c	(revision 1796)
+++ code/cgame/cg_main.c	(working copy)
@@ -181,6 +181,7 @@
 vmCvar_t	cg_oldRocket;
 vmCvar_t	cg_oldPlasma;
 vmCvar_t	cg_trueLightning;
+vmCvar_t	cg_yawOffset;
 
 #ifdef MISSIONPACK
 vmCvar_t 	cg_redTeamName;
@@ -280,6 +281,7 @@
 	{ &cg_paused, "cl_paused", "0", CVAR_ROM },
 	{ &cg_blood, "com_blood", "1", CVAR_ARCHIVE },
 	{ &cg_synchronousClients, "g_synchronousClients", "0", 0 },	// communicated by systeminfo
+	{ &cg_yawOffset, "cg_yawOffset", "0", CVAR_CHEAT },
 #ifdef MISSIONPACK
 	{ &cg_redTeamName, "g_redteam", DEFAULT_REDTEAM_NAME, CVAR_ARCHIVE | CVAR_SERVERINFO | CVAR_USERINFO },
 	{ &cg_blueTeamName, "g_blueteam", DEFAULT_BLUETEAM_NAME, CVAR_ARCHIVE | CVAR_SERVERINFO | CVAR_USERINFO },
